## edu.stanford.nlp.trees.tregex.gui
Class Tdiff

    java.lang.Object
      edu.stanford.nlp.trees.tregex.gui.Tdiff

    public class Tdiff

extends Object

Extracts the differences between the sets of constituents indicated by a pair of parse trees. This class requires trees with CoreLabels.

Author:
  Spence Green

Constructor Summary
`Tdiff()`

Method Summary
`static void` `main(String[] args)`
`static Set<Constituent>` `markDiff(Tree t1, Tree t2)` Marks bracketings in t2 not in t1 using the DoAnnotation field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tdiff

    public Tdiff()

Method Detail

### markDiff

    public static Set<Constituent> markDiff(Tree t1,
                                            Tree t2)

  Marks bracketings in t2 not in t1 using the DoAnnotation field. Returns a list of brackets in t1 not in t2.

  Parameters:
    `t1` -
    `t2` -
  Returns:
    A list of brackets in t1 not in t2;

### main

    public static void main(String[] args)

  Parameters:
    `args` -

Stanford NLP Group